#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkmime )
tde_import( ktnef )
tde_import( libtdepim )
tde_import( libtdenetwork )
tde_import( certmanager )
tde_import( libkcal )
tde_import( libkpimidentities )

add_subdirectory( kalarmd )
add_subdirectory( lib )
add_subdirectory( pixmaps )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/lib
  ${CMAKE_CURRENT_SOURCE_DIR}/kalarmd
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkmime
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/certmanager/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TDE_LIB_DIR}
  ${TQT_LIBRARY_DIRS}
)

if( WITH_ARTS )
  set( ARTS_LIBRARIES artskde-shared mcop )
endif( )


##### other data ################################

tde_install_icons( )
install( FILES kalarm.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kalarm.tray.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )
install( FILES kalarmui.rc DESTINATION ${DATA_INSTALL_DIR}/kalarm )
install( FILES uninstall.desktop DESTINATION ${APPS_INSTALL_DIR}/Applications RENAME kalarm.desktop )


##### kalarm (executable) #######################

tde_add_executable( kalarm AUTOMOC
  SOURCES
    birthdaydlg.cpp main.cpp alarmevent.cpp editdlg.cpp
    emailidcombo.cpp find.cpp pictdefileradio.cpp
    calendarcompat.cpp eventlistviewbase.cpp alarmlistview.cpp
    kamail.cpp timeselector.cpp fontcolourbutton.cpp
    alarmtimewidget.cpp fontcolour.cpp soundpicker.cpp
    sounddlg.cpp alarmcalendar.cpp daemon.cpp undo.cpp
    kalarmapp.cpp mainwindowbase.cpp mainwindow.cpp
    messagewin.cpp preferences.cpp prefdlg.cpp
    kalarmiface.skel recurrenceedit.cpp karecurrence.cpp
    deferdlg.cpp functions.cpp specialactions.cpp reminder.cpp
    startdaytimer.cpp templatelistview.cpp templatepickdlg.cpp
    templatedlg.cpp templatemenuaction.cpp latecancel.cpp
    repetition.cpp alarmtext.cpp traywindow.cpp dcophandler.cpp
    kalarmd/alarmguiiface.skel
  LINK
    kalarm-static kalarmd-static
    kpimidentities-shared tdeutils-shared ${ARTS_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)
